package com.example.services;

import com.example.api.R;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebService;

/**
 * Created by wangh on 2021/1/14-10:10。
 */
@WebService(targetNamespace = "http://service.example.com/", name = "authorPortType")
public interface IService {

    /**
     * 入库开始读
     * @param containerRegisterQuery 封装json
     * @param pdaip                  设备ID
     * @param functionID             函数ID
     * @return
     */
    @WebMethod
    R getScanInfoInCenterStart(
            @WebParam(name = "containerRegisterQuery") String containerRegisterQuery,
            @WebParam(name = "pdaID") String pdaip,
            @WebParam(name="functionID") int functionID);

    /**
     * 入库 结束读
     *

     */
    @WebMethod
    R getScanInfoInCenterStop(
            @WebParam(name = "containerRegisterQuery") String containerRegisterQuery
            , @WebParam(name = "pdaID") String pdaip
            ,@WebParam(name="functionID") int functionID
    );



}
